## ros-humble-ros-gz-sim 0.244.11

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(ros_gz_sim)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -Wpedantic")
endif()

find_package(ament_cmake REQUIRED)
find_package(rclcpp REQUIRED)
find_package(std_msgs REQUIRED)

# TODO(CH3): Deprecated. Remove on tock.
if("$ENV{GZ_VERSION}" STREQUAL "" AND NOT "$ENV{IGNITION_VERSION}" STREQUAL "")
  message(DEPRECATION "Environment variable [IGNITION_VERSION] is deprecated. Use [GZ_VERSION] instead.")
  set(ENV{GZ_VERSION} $ENV{IGNITION_VERSION})
endif()

# Edifice
if("$ENV{GZ_VERSION}" STREQUAL "edifice")
  find_package(ignition-math6 REQUIRED)
  set(GZ_MATH_VER ${ignition-math6_VERSION_MAJOR})

  find_package(ignition-transport10 REQUIRED)
  set(GZ_TRANSPORT_VER ${ignition-transport10_VERSION_MAJOR})

  find_package(ignition-msgs7 REQUIRED)
  set(GZ_MSGS_VER ${ignition-msgs7_VERSION_MAJOR})

  find_package(ignition-gazebo5 REQUIRED)
  set(GZ_SIM_VER ${ignition-gazebo5_VERSION_MAJOR})

  set(GZ_TARGET_PREFIX ignition)

  message(STATUS "Compiling against Gazebo Edifice")
# Garden
elseif("$ENV{GZ_VERSION}" STREQUAL "garden")
  find_package(gz-math7 REQUIRED)
  set(GZ_MATH_VER ${gz-math7_VERSION_MAJOR})

  find_package(gz-transport12 REQUIRED)
  set(GZ_TRANSPORT_VER ${gz-transport12_VERSION_MAJOR})

  find_package(gz-msgs9 REQUIRED)
  set(GZ_MSGS_VER ${gz-msgs9_VERSION_MAJOR})

  find_package(gz-sim7 REQUIRED)
  set(GZ_SIM_VER ${gz-sim7_VERSION_MAJOR})

  set(GZ_TARGET_PREFIX gz)

  message(STATUS "Compiling against Gazebo Garden")
# Default to Fortress
else()
  find_package(ignition-math6 REQUIRED)
  set(GZ_MATH_VER ${ignition-math6_VERSION_MAJOR})

  find_package(ignition-transport11 REQUIRED)
  set(GZ_TRANSPORT_VER ${ignition-transport11_VERSION_MAJOR})

  find_package(ignition-msgs8 REQUIRED)
  set(GZ_MSGS_VER ${ignition-msgs8_VERSION_MAJOR})

  find_package(ignition-gazebo6 REQUIRED)
  set(GZ_SIM_VER ${ignition-gazebo6_VERSION_MAJOR})

  set(GZ_TARGET_PREFIX ignition)

  message(STATUS "Compiling against Gazebo Fortress")
endif()

ign_find_package(gflags
    REQUIRED
    PKGCONFIG gflags)
find_package(std_msgs REQUIRED)

add_executable(create src/create.cpp)
ament_target_dependencies(create
  rclcpp
  std_msgs
)
target_link_libraries(create
  gflags
  ${GZ_TARGET_PREFIX}-math${GZ_MATH_VER}::core
  ${GZ_TARGET_PREFIX}-msgs${GZ_MSGS_VER}::core
  ${GZ_TARGET_PREFIX}-transport${GZ_TRANSPORT_VER}::core
)
ament_target_dependencies(create std_msgs)

add_library(${PROJECT_NAME} SHARED src/Stopwatch.cpp)
ament_target_dependencies(${PROJECT_NAME}
  rclcpp
)

target_include_directories(${PROJECT_NAME} PUBLIC
  $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
  $<INSTALL_INTERFACE:include>
)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION include/${PROJECT_NAME}
)

configure_file(
  launch/gz_sim.launch.py.in
  launch/gz_sim.launch.py.configured
  @ONLY
)
file(GENERATE
  OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/launch/gz_sim.launch.py"
  INPUT "${CMAKE_CURRENT_BINARY_DIR}/launch/gz_sim.launch.py.configured"
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/launch/gz_sim.launch.py"
  DESTINATION share/${PROJECT_NAME}/launch
)

install(TARGETS
  create
  DESTINATION lib/${PROJECT_NAME}
)

install(
  TARGETS ${PROJECT_NAME} EXPORT ${PROJECT_NAME}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

ament_export_targets(${PROJECT_NAME})

ament_export_dependencies(rclcpp)

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()

  # GTest
  find_package(ament_cmake_gtest REQUIRED)
  ament_find_gtest()

  ament_add_gtest_executable(test_stopwatch
    test/test_stopwatch.cpp
  )

  ament_target_dependencies(test_stopwatch rclcpp)

  target_include_directories(test_stopwatch PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:include>
  )

  target_link_libraries(test_stopwatch
    ${PROJECT_NAME}
  )

  install(
    TARGETS test_stopwatch
    DESTINATION lib/${PROJECT_NAME}
  )
  ament_add_gtest_test(test_stopwatch)
endif()

ament_package()

=== debian/changelog ===
ros-humble-ros-gz-sim (0.244.11-1jammy) jammy; urgency=high



 -- Alejandro Hernandez <ahcorde@openrobotics.org>  Tue, 23 May 2023 05:00:00 -0000

ros-humble-ros-gz-sim (0.244.10-1jammy) jammy; urgency=high



 -- Alejandro Hernandez <ahcorde@openrobotics.org>  Wed, 03 May 2023 05:00:00 -0000

ros-humble-ros-gz-sim (0.244.9-1jammy) jammy; urgency=high

  * Export ROS Stopwatch library (#299 <https://github.com/gazebosim/ros_gz/issues/299>) (#322 <https://github.com/gazebosim/ros_gz/issues/322>)
    New Stopwatch library needs to be exported and built as shared
    Co-authored-by: Michael Anderson <mailto:anderson@mbari.org>
  * Contributors: Michael Carroll

 -- Alejandro Hernandez <ahcorde@openrobotics.org>  Thu, 03 Nov 2022 05:00:00 -0000

ros-humble-ros-gz-sim (0.244.8-1jammy) jammy; urgency=high



 -- Alejandro Hernandez <ahcorde@openrobotics.org>  Fri, 28 Oct 2022 05:00:00 -0000

ros-humble-ros-gz-sim (0.244.7-1jammy) jammy; urgency=high

  * Fix launch substitutions for ign_args (#309 <https://github.com/gazebosim/ros_gz/issues/309>)
    * Fix launch substitutions for ign_args
  * Merge pull request #275 <https://github.com/gazebosim/ros_gz/issues/275> (Galactic to Humble)
    Galactic to Humble
  * Merge branch 'ros2' into ports/galactic_to_ros2
  * Contributors: Michael Carroll

 -- Alejandro Hernandez <ahcorde@openrobotics.org>  Wed, 12 Oct 2022 05:00:00 -0000

ros-humble-ros-gz-sim (0.244.6-1jammy) jammy; urgency=high



 -- Alejandro Hernandez <ahcorde@openrobotics.org>  Wed, 14 Sep 2022 05:00:00 -0000

ros-humble-ros-gz-sim (0.244.5-1jammy) jammy; urgency=high

  * Fix missing msgs include and packages.xml deps (#292 <https://github.com/gazebosim/ros_gz/issues/292>)
    * Fix missing msgs include and packages.xml deps
    * Add additional conditions to support gz sim invocation
    * Fix cpplint
  * Support ros_ign migration (#282 <https://github.com/gazebosim/ros_gz/issues/282>)
    Clean up shared libraries, and tick-tock RosGzPointCloud
    Tick-tock launch args
    Hard-tock ign_ in sources
    Migrate ign, ign_, IGN_ for sources, launch, and test files
    Migrate IGN_XXX_VER, IGN_T, header guards
    Migrate launchfile, launchfile args, and test source references
    Migrate ros_ign_XXX and gz_gazebo -> gz_sim
    Migrate ros_ign_XXX project names
    Migrate Ign, ign-, IGN_DEPS, ign-gazebo
    Migrate ignitionrobotics, ignitionrobotics/ros_ign, osrf/ros_ign
    Migrate ignition-version, IGNITION_VERSION, Ignition <LIB>, ros_ign_ci
  * Move packages and files to gz (#282 <https://github.com/gazebosim/ros_gz/issues/282>)
  * Contributors: methylDragon

 -- Alejandro Hernandez <ahcorde@openrobotics.org>  Mon, 12 Sep 2022 05:00:00 -0000

ros-humble-ros-gz-sim (0.244.3-1jammy) jammy; urgency=high

  * [ros2] README updates (service bridge, Gazebo rename) (#252 <https://github.com/gazebosim/ros_gz/issues/252>)
  * Fix linter tests (#251 <https://github.com/gazebosim/ros_gz/issues/251>)
    Co-authored-by: Louise Poubel <mailto:louise@openrobotics.org>
  * Contributors: Daisuke Nishimatsu, Louise Poubel

 -- Alejandro Hernandez <ahcorde@openrobotics.org>  Thu, 19 May 2022 05:00:00 -0000

ros-humble-ros-gz-sim (0.244.2-1jammy) jammy; urgency=high

  * Support bridging services (#211 <https://github.com/gazebosim/ros_gz/issues/211>)
  * Add std_msgs as dependency of ros_gz_sim (#242 <https://github.com/gazebosim/ros_gz/issues/242>)
  * Fixed ros_gz_sim launch file install directory (#229 <https://github.com/gazebosim/ros_gz/issues/229>) (#230 <https://github.com/gazebosim/ros_gz/issues/230>)
  * Added ign_version launch argument to set ignition gazebo version (#226 <https://github.com/gazebosim/ros_gz/issues/226>)
  * Bring ros2 branch up-to-date with Rolling (#213 <https://github.com/gazebosim/ros_gz/issues/213>)
  * create.cpp usage message fixed for ros2 branch (#207 <https://github.com/gazebosim/ros_gz/issues/207>)
  * Separate galactic branch from ros2 branch (#201 <https://github.com/gazebosim/ros_gz/issues/201>)
  * 🏁 Dome EOL (#198 <https://github.com/gazebosim/ros_gz/issues/198>)
  * Contributors: Alejandro Hernández Cordero, Aryaman Shardul, Ivan Santiago Paunovic, Kenji Brameld, Louise Poubel, Michael Carroll, ahcorde

 -- Alejandro Hernandez <ahcorde@openrobotics.org>  Mon, 25 Apr 2022 05:00:00 -0000

ros-humble-ros-gz-sim (0.244.1-1jammy) jammy; urgency=high



 -- Alejandro Hernandez <ahcorde@openrobotics.org>  Tue, 04 Jan 2022 06:00:00 -0000

ros-humble-ros-gz-sim (0.244.0-1jammy) jammy; urgency=high

  * Default to Fortress for Rolling (future Humble) (#195 <https://github.com/gazebosim/ros_gz/issues/195>)
  * [ros2] 🏁 Dome EOL (#199 <https://github.com/gazebosim/ros_gz/issues/199>)
  * Contributors: Guillaume Doisy, Louise Poubel

 -- Alejandro Hernandez <ahcorde@openrobotics.org>  Thu, 30 Dec 2021 06:00:00 -0000

ros-humble-ros-gz-sim (0.233.2-1jammy) jammy; urgency=high

  * [ros2] Update version docs, add Galactic and Fortress (#164 <https://github.com/gazebosim/ros_gz/issues/164>)
  * Contributors: Louise Poubel

 -- Alejandro Hernandez <ahcorde@openrobotics.org>  Tue, 20 Jul 2021 05:00:00 -0000

ros-humble-ros-gz-sim (0.233.1-1jammy) jammy; urgency=high

  * Default to Edifice for Rolling (#150 <https://github.com/gazebosim/ros_gz/issues/150>)
  * Edifice support (#140 <https://github.com/gazebosim/ros_gz/issues/140>)
    Co-authored-by: Alejandro Hernández <mailto:ahcorde@gmail.com>
  * Add topic flag to create robot  (#128 <https://github.com/gazebosim/ros_gz/issues/128>)
    Now it is possible to run ros_gz_sim create specifying a topic as
    source of the robot description
    Add a launch file starting a ignition gazebo world and spawn a sphere in it.
    Additionally a rviz2 interface is loaded to show that also Rviz can load
    the robot description
    The newly created demo introduce a dependency on the robot_state_publisher package
  * Add default value for plugin path in launch script (#125 <https://github.com/gazebosim/ros_gz/issues/125>)


=== debian/control ===
Source: ros-humble-ros-gz-sim
Section: misc
Priority: optional
Maintainer: Alejandro Hernandez <ahcorde@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), libgflags-dev, libignition-gazebo6-dev, libignition-math6-dev, pkg-config, ros-humble-ament-cmake, ros-humble-ament-index-python, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-rclcpp, ros-humble-std-msgs, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-ros-gz-sim
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libgflags-dev, libignition-gazebo6-dev, libignition-math6-dev, ros-humble-ament-index-python, ros-humble-rclcpp, ros-humble-std-msgs, ros-humble-ros-workspace
Description: Tools for using Gazebo Sim simulation with ROS.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-ros-gz-sim//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-ros-gz-sim 0.244.16

=== debian/changelog ===
ros-humble-ros-gz-sim (0.244.16-1bookworm) bookworm; urgency=high



 -- Alejandro Hernandez <ahcorde@openrobotics.org>  Sun, 21 Jul 2024 16:00:00 -0000

ros-humble-ros-gz-sim (0.244.15-1bookworm) bookworm; urgency=high



 -- Alejandro Hernandez <ahcorde@openrobotics.org>  Tue, 02 Jul 2024 16:00:00 -0000

ros-humble-ros-gz-sim (0.244.14-1bookworm) bookworm; urgency=high

  * Support <gazebo_ros> in package.xml exports (#492 <https://github.com/gazebosim/ros_gz/issues/492>)
    This copies the implementation from gazebo_ros_paths.py to provide a
    way for packages to set resource paths from package.xml.
    ```
    e.g.  <export>
    <gazebo_ros gazebo_model_path="${prefix}/models"/>
    <gazebo_ros gazebo_media_path="${prefix}/models"/>
    </export>
    ```
    The value of gazebo_model_path and gazebo_media_path is appended to GZ_SIM_RESOURCE_PATH
    The value of plugin_path appended to GZ_SIM_SYSTEM_PLUGIN_PATH
    ---------
  * Contributors: Addisu Z. Taddese

 -- Alejandro Hernandez <ahcorde@openrobotics.org>  Sun, 07 Apr 2024 16:00:00 -0000

ros-humble-ros-gz-sim (0.244.13-1bookworm) bookworm; urgency=high



 -- Alejandro Hernandez <ahcorde@openrobotics.org>  Mon, 22 Jan 2024 16:00:00 -0000

ros-humble-ros-gz-sim (0.244.12-1bookworm) bookworm; urgency=high

  * Add support for Harmonic/Humble pairing (#462 <https://github.com/gazebosim/ros_gz/issues/462>)
  * Set on_exit_shutdown argument for gz-sim ExecuteProcess (#355 <https://github.com/gazebosim/ros_gz/issues/355>) (#451 <https://github.com/gazebosim/ros_gz/issues/451>)
  * Contributors: Addisu Z. Taddese, Michael Carroll

 -- Alejandro Hernandez <ahcorde@openrobotics.org>  Tue, 12 Dec 2023 16:00:00 -0000

ros-humble-ros-gz-sim (0.244.11-1bookworm) bookworm; urgency=high



 -- Alejandro Hernandez <ahcorde@openrobotics.org>  Mon, 22 May 2023 16:00:00 -0000

ros-humble-ros-gz-sim (0.244.10-1bookworm) bookworm; urgency=high



 -- Alejandro Hernandez <ahcorde@openrobotics.org>  Tue, 02 May 2023 16:00:00 -0000

ros-humble-ros-gz-sim (0.244.9-1bookworm) bookworm; urgency=high

  * Export ROS Stopwatch library (#299 <https://github.com/gazebosim/ros_gz/issues/299>) (#322 <https://github.com/gazebosim/ros_gz/issues/322>)
    New Stopwatch library needs to be exported and built as shared
    Co-authored-by: Michael Anderson <mailto:anderson@mbari.org>
  * Contributors: Michael Carroll

 -- Alejandro Hernandez <ahcorde@openrobotics.org>  Wed, 02 Nov 2022 16:00:00 -0000

ros-humble-ros-gz-sim (0.244.8-1bookworm) bookworm; urgency=high



 -- Alejandro Hernandez <ahcorde@openrobotics.org>  Thu, 27 Oct 2022 16:00:00 -0000

ros-humble-ros-gz-sim (0.244.7-1bookworm) bookworm; urgency=high

  * Fix launch substitutions for ign_args (#309 <https://github.com/gazebosim/ros_gz/issues/309>)
    * Fix launch substitutions for ign_args
  * Merge pull request #275 <https://github.com/gazebosim/ros_gz/issues/275> (Galactic to Humble)
    Galactic to Humble
  * Merge branch 'ros2' into ports/galactic_to_ros2
  * Contributors: Michael Carroll

 -- Alejandro Hernandez <ahcorde@openrobotics.org>  Tue, 11 Oct 2022 16:00:00 -0000

ros-humble-ros-gz-sim (0.244.6-1bookworm) bookworm; urgency=high



 -- Alejandro Hernandez <ahcorde@openrobotics.org>  Tue, 13 Sep 2022 16:00:00 -0000

ros-humble-ros-gz-sim (0.244.5-1bookworm) bookworm; urgency=high

  * Fix missing msgs include and packages.xml deps (#292 <https://github.com/gazebosim/ros_gz/issues/292>)
    * Fix missing msgs include and packages.xml deps
    * Add additional conditions to support gz sim invocation
    * Fix cpplint
  * Support ros_ign migration (#282 <https://github.com/gazebosim/ros_gz/issues/282>)
    Clean up shared libraries, and tick-tock RosGzPointCloud
    Tick-tock launch args
    Hard-tock ign_ in sources
    Migrate ign, ign_, IGN_ for sources, launch, and test files
    Migrate IGN_XXX_VER, IGN_T, header guards
    Migrate launchfile, launchfile args, and test source references
    Migrate ros_ign_XXX and gz_gazebo -> gz_sim
    Migrate ros_ign_XXX project names
    Migrate Ign, ign-, IGN_DEPS, ign-gazebo
    Migrate ignitionrobotics, ignitionrobotics/ros_ign, osrf/ros_ign
    Migrate ignition-version, IGNITION_VERSION, Ignition <LIB>, ros_ign_ci
  * Move packages and files to gz (#282 <https://github.com/gazebosim/ros_gz/issues/282>)
  * Contributors: methylDragon

 -- Alejandro Hernandez <ahcorde@openrobotics.org>  Sun, 11 Sep 2022 16:00:00 -0000

ros-humble-ros-gz-sim (0.244.3-1bookworm) bookworm; urgency=high

  * [ros2] README updates (service bridge, Gazebo rename) (#252 <https://github.com/gazebosim/ros_gz/issues/252>)
  * Fix linter tests (#251 <https://github.com/gazebosim/ros_gz/issues/251>)
    Co-authored-by: Louise Poubel <mailto:louise@openrobotics.org>
  * Contributors: Daisuke Nishimatsu, Louise Poubel

 -- Alejandro Hernandez <ahcorde@openrobotics.org>  Wed, 18 May 2022 16:00:00 -0000

ros-humble-ros-gz-sim (0.244.2-1bookworm) bookworm; urgency=high

  * Support bridging services (#211 <https://github.com/gazebosim/ros_gz/issues/211>)
  * Add std_msgs as dependency of ros_gz_sim (#242 <https://github.com/gazebosim/ros_gz/issues/242>)
  * Fixed ros_gz_sim launch file install directory (#229 <https://github.com/gazebosim/ros_gz/issues/229>) (#230 <https://github.com/gazebosim/ros_gz/issues/230>)
  * Added ign_version launch argument to set ignition gazebo version (#226 <https://github.com/gazebosim/ros_gz/issues/226>)
  * Bring ros2 branch up-to-date with Rolling (#213 <https://github.com/gazebosim/ros_gz/issues/213>)
  * create.cpp usage message fixed for ros2 branch (#207 <https://github.com/gazebosim/ros_gz/issues/207>)
  * Separate galactic branch from ros2 branch (#201 <https://github.com/gazebosim/ros_gz/issues/201>)
  * 🏁 Dome EOL (#198 <https://github.com/gazebosim/ros_gz/issues/198>)
  * Contributors: Alejandro Hernández Cordero, Aryaman Shardul, Ivan Santiago Paunovic, Kenji Brameld, Louise Poubel, Michael Carroll, ahcorde



=== debian/control ===
Source: ros-humble-ros-gz-sim
Section: misc
Priority: optional
Maintainer: Alejandro Hernandez <ahcorde@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), libgflags-dev, libignition-gazebo-dev, libignition-math-dev, pkg-config, ros-humble-ament-cmake, ros-humble-ament-index-python, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-rclcpp, ros-humble-std-msgs, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-ros-gz-sim
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libgflags-dev, libignition-gazebo-dev, libignition-math-dev, ros-humble-ament-index-python, ros-humble-rclcpp, ros-humble-std-msgs, ros-humble-ros-workspace
Description: Tools for using Gazebo Sim simulation with ROS.

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-ros-gz-sim//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-ros-gz-sim//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-ros-gz-sim//opt/ros/humble/opt/ros_gz_sim/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
